Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class DeactivateReportRow

    java.lang.Object
      com.sun.mdm.index.report.ReportRow
          com.sun.mdm.index.report.MultirowReportObject1
              com.sun.mdm.index.report.DeactivateReportRow

All Implemented Interfaces:
  java.io.Serializable

public class DeactivateReportRow
extends MultirowReportObject1

Row of data for Deactivate Report

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.report.MultirowReportObject1
`mConfig, mObjectNode`

Constructor Summary
`DeactivateReportRow(TransactionSummary summary, DeactivateReportConfig config)` Creates a new instance of DeactivateReportRow

Method Summary
`java.lang.String` | `getEUID()` Get EUID.
`ObjectNode` | `getImage()` Get the system object image.
`java.lang.String` | `getSystemUser()` Get system user.
`java.util.Date` | `getTimestamp()` Get timestamp.
`java.lang.String` | `getTransactionNumber()` Get transaction number.

Methods inherited from class com.sun.mdm.index.report.MultirowReportObject1
`constructObjectNode, getObject1, getValue, setObject1, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeactivateReportRow

    public DeactivateReportRow(TransactionSummary summary,
                               DeactivateReportConfig config)
                        throws ObjectException,
                               EPathException

  Creates a new instance of DeactivateReportRow

  Parameters:
    `summary` - Transaction summary.
    `config` - Configuration instance.

Method Detail

### getEUID

    public java.lang.String getEUID()
                             throws ObjectException

  Get EUID.

  Returns:
    EUID
  Throws:
    `ObjectException` - if an error is encountered.

### getImage

    public ObjectNode getImage()

  Get the system object image.

  Returns:
    system object image

### getSystemUser

    public java.lang.String getSystemUser()
                                   throws ObjectException

  Get system user.

  Returns:
    system user
  Throws:
    `ObjectException` - if an error is encountered.

### getTimestamp

    public java.util.Date getTimestamp()
                                throws ObjectException

  Get timestamp.

  Returns:
    create date.
  Throws:
    `ObjectException` - if an error is encountered.

### getTransactionNumber

    public java.lang.String getTransactionNumber()
                                          throws ObjectException

  Get transaction number.

  Returns:
    transaction number
  Throws:
    `ObjectException` - if an error is encountered.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.